GET /conversations.list

slack.com

Summary:
Operation ID: conversations_list
Auth: unknown
Description

Lists all channels in a Slack team.

Parameters (5)

cursor (string, query, optional)

Paginate through collections of data by setting the `cursor` parameter to a `next_cursor` attribute returned by a previous request's `response_metadata`. Default value fetches the first "page" of the collection. See [pagination](/docs/pagination) for more detail.

exclude_archived (boolean, query, optional)

Set to `true` to exclude archived channels from the list

limit (integer, query, optional)

The maximum number of items to return. Fewer than the requested number of items may be returned, even if the end of the list hasn't been reached. Must be an integer no larger than 1000.

token (string, query, optional)

Authentication token. Requires scope: `conversations:read`

types (string, query, optional)

Mix and match channel types by providing a comma-separated list of any combination of `public_channel`, `private_channel`, `mpim`, `im`

No probe data for this endpoint yet.